Subject: bug#43177: Bug: Emacs 27.1 hangs forever in `FcCharSetSubtractCount' from '/usr/lib/libfontconfig.so.1'

From: Robert Pluim <[email-masked]>
Date: Thu, 03 Sep 2020 11:07:26 +0200

>>>>> On Thu, 3 Sep 2020 11:02:16 +0200, Alexander Shukaev <[email-masked]> said:

    Alexander> /usr/share/fonts/TTF/AdobeBlank-Regular.ttf is owned by
    Alexander> ttf-google-fonts-git 20171026-1

Looks like Pip's crystal ball was right, thatʼs the same font
impicated in Bug#40733

    Alexander> I will try updating it now and see if it fixes the issue.  However,
    Alexander> even if it does, I have a bunch of follow-up questions:

    Alexander> 1.  How to protect Emacs from having that issue again regardless of
    Alexander> broken/out-dated fonts?  Can I somehow, for example, exclude such
    Alexander> fonts from consideration by Emacs?

    face-ignored-fonts is a variable defined in `C source code'.
    Its value is nil

      Probably introduced at or before Emacs version 21.1.

    Documentation:
    List of ignored fonts.
    Each element is a regular expression that matches names of fonts to
    ignore.

    Alexander> 2.  Why was this font queried at all in the first place?  I don't use
    Alexander> this font.

You donʼt use it, but fontconfig know about it, so it queries it when
Emacs queries fontconfig for available fonts covering a certain
codepoint.

Robert